#ifndef _MATRIX_H_
#define _MATRIX_H_

#include "vector3.h"

class Matrix
{
    float m_matrix[16];

    public:
        Matrix(void);
        static Matrix identity(void);
        static Matrix fromRotation(double degrees, const Vector3 &v);

        const float *get(void) const { return m_matrix; }

        Vector3 operator*(const Vector3 &rhs) const;
        Matrix &operator*=(const Matrix &rhs);
};

#endif
